Get the most out of your Centmin Mod LEMP stack
Become a Member

Poll What PHP Version do you use ?

Discussion in 'Introductions' started by eva2000, Dec 23, 2015.

  1. PHP 5.3

    0 vote(s)
    0.0%
  2. PHP 5.4

    2.2%
  3. PHP 5.5

    0 vote(s)
    0.0%
  4. PHP 5.6

    17.8%
  5. PHP 7.0

    24.4%
  6. PHP 7.1

    28.9%
  7. PHP 7.2

    28.9%
  8. PHP 7.3

    22.2%
  9. PHP 7.4

    0 vote(s)
    0.0%
Multiple votes are allowed.
  1. Revenge

    Revenge Active Member

    443
    92
    28
    Feb 21, 2016
    Portugal
    Ratings:
    +333
    Local Time:
    8:12 AM
    1.9.x
    10.1.x
    PHP 7.1.2. Fully supported with IPS 4.1.
     
    • Like Like x 1
  2. Sunka

    Sunka Well-Known Member

    1,107
    301
    83
    Oct 31, 2015
    Rijeka, Croatia
    Ratings:
    +488
    Local Time:
    9:12 AM
    Nginx 1.15.8
    MariaDB 10.3.12
    php 7.1.2 and xenforo with 80+ addons works as it should.
     
    • Like Like x 1
  3. Sametto Chan

    Sametto Chan Member

    37
    11
    8
    Feb 26, 2017
    Kepler-186F
    Ratings:
    +13
    Local Time:
    5:12 PM
    10.2.9
    I really don't remember, Let me check upgrade to 7.1.2
    Hmm, I try check out.
     
  4. Sametto Chan

    Sametto Chan Member

    37
    11
    8
    Feb 26, 2017
    Kepler-186F
    Ratings:
    +13
    Local Time:
    5:12 PM
    10.2.9
    "No errors have been logged."

    Hmm, i just upgraded to 7.1.2 looks like works.
     
    • Like Like x 1
  5. KeVo

    KeVo Active Member

    180
    71
    28
    May 28, 2014
    Ratings:
    +101
    Local Time:
    2:12 AM
    1.11.x
    10.1.18
    Pretty much the same for me, but maybe around 25 addons. :p
     
  6. Sametto Chan

    Sametto Chan Member

    37
    11
    8
    Feb 26, 2017
    Kepler-186F
    Ratings:
    +13
    Local Time:
    5:12 PM
    10.2.9
    For me, Has 60 total add-ons.
    My site loading it's 5 sec to up, No issue!

    Aye!
     
  7. pamamolf

    pamamolf Premium Member Premium Member

    3,576
    345
    83
    May 31, 2014
    Ratings:
    +665
    Local Time:
    10:12 AM
    Nginx-1.17.x
    MariaDB 10.3.x
    5 sec is not fast for me :(

    I prefer to say fast when i am under 3 sec :)
     
    • Like Like x 1
  8. Sametto Chan

    Sametto Chan Member

    37
    11
    8
    Feb 26, 2017
    Kepler-186F
    Ratings:
    +13
    Local Time:
    5:12 PM
    10.2.9
    Oh,

    Updated, my site AxF is speed for loading 3 sec
    [​IMG]
     
    • Like Like x 1
  9. eva2000

    eva2000 Administrator Staff Member

    42,344
    9,559
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,730
    Local Time:
    6:12 PM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    FYI DOMContentLoaded is more important as that is the perceived page load speed for users ;)
     
    • Friendly Friendly x 1
  10. Sametto Chan

    Sametto Chan Member

    37
    11
    8
    Feb 26, 2017
    Kepler-186F
    Ratings:
    +13
    Local Time:
    5:12 PM
    10.2.9
    Exactly! :3
     
  11. Jon Snow

    Jon Snow Active Member

    452
    66
    28
    Jun 30, 2017
    Ratings:
    +104
    Local Time:
    4:12 AM
    Nginx 1.13.9
    MariaDB 10.1.31
    I'm using the latest version of the PHP 5.6 branch. Not upgrading to PHP 7 yet because of possible incompatible add-ons for the scripts I use.
     
    • Informative Informative x 1
  12. KeVo

    KeVo Active Member

    180
    71
    28
    May 28, 2014
    Ratings:
    +101
    Local Time:
    2:12 AM
    1.11.x
    10.1.18
    Been using 7.2.0alpha on both WordPress and XenForo installations. It seems to work pretty well and haven't had any breaking issues.
     
    • Like Like x 1
  13. eva2000

    eva2000 Administrator Staff Member

    42,344
    9,559
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,730
    Local Time:
    6:12 PM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    nice living on the edge :D
     
    • Like Like x 1
  14. JJC84

    JJC84 Premium Member Premium Member

    243
    106
    43
    Jan 31, 2018
    San Antonio, Texas
    Ratings:
    +163
    Local Time:
    2:12 AM
    1.15.x
    10.x.x
    Anyone else using 7.2.4 now? I only do simple things thus far, but I haven't had any problems with it.
     
  15. Jon Snow

    Jon Snow Active Member

    452
    66
    28
    Jun 30, 2017
    Ratings:
    +104
    Local Time:
    4:12 AM
    Nginx 1.13.9
    MariaDB 10.1.31
    I think @RoldanLT and some other members here who use the latest XF 2 version.
     
    • Informative Informative x 1
  16. JJC84

    JJC84 Premium Member Premium Member

    243
    106
    43
    Jan 31, 2018
    San Antonio, Texas
    Ratings:
    +163
    Local Time:
    2:12 AM
    1.15.x
    10.x.x
    I'm still learning, but I am very soon going to be doing commercial work for clients, so I was wondering what the caveats are as I'm have been in a long test cycle really and if something doesn't work at the moment it's no money lost and actually a good learning experience. I have been thinking of using 7.1.x for production work I'm going to be doing soon though. From what I have seen it's about maybe a 10% decrease in performance, but I'm not the expert on that either. Thanks for the info though it is definitely appreciated.
     
  17. Sunka

    Sunka Well-Known Member

    1,107
    301
    83
    Oct 31, 2015
    Rijeka, Croatia
    Ratings:
    +488
    Local Time:
    9:12 AM
    Nginx 1.15.8
    MariaDB 10.3.12
    7.2.4 version with latest xenforo 2 version and everything seems fine.
     
  18. rdan

    rdan Well-Known Member

    4,733
    1,144
    113
    May 25, 2014
    Ratings:
    +1,709
    Local Time:
    4:12 PM
    Mainline
    10.2
    All servers serving Wordpress and XF1 sites uses 7.2.x.
     
  19. ArisC

    ArisC Active Member

    122
    29
    28
    Jun 1, 2017
    Ratings:
    +59
    Local Time:
    10:12 AM
    Nginx Latest
    MariaDB Latest
    My servers are using 7.2.X.
     
  20. diy

    diy Premium Member Premium Member

    35
    20
    8
    Jan 14, 2019
    USA
    Ratings:
    +34
    Local Time:
    3:12 AM
    nginx 1.17.x
    MariaDB 10.4.x
    Presently using 7.3.1
     
    Last edited: Jan 15, 2019